# <img src="/icons/icon_48.png" align="absmiddle"> MinerBlock
MinerBlock is an efficient browser extension that aims to block browser-based cryptocurrency miners all over the web.

[<img src="https://user-images.githubusercontent.com/7257362/196050028-71dd50f6-19a8-4405-ab7e-a022eb5a4287.png">](https://chrome.google.com/webstore/detail/minerblock/emikbbbebcdfohonlaifafnoanocnebl) [<img src="https://user-images.githubusercontent.com/7257362/196050050-f76e4c5b-6822-460b-bbe6-fc890550a1c8.png" width="206">](https://addons.opera.com/en/extensions/details/minerblock/) [<img src="https://user-images.githubusercontent.com/7257362/196050056-9afc4687-bc02-4b7f-ad4a-3b2e86e65507.png">](https://addons.mozilla.org/en-US/firefox/addon/minerblock-origin/)

![Alt text](https://user-images.githubusercontent.com/7257362/196050130-72c290b9-cb29-40da-8dad-6792f8c9d7ad.png)

# How does it work?
The extension uses two different approaches to block miners. The first one is based on blocking requests/scripts loaded from a blacklist, this is the traditional approach adopted by most ad-blockers and other mining blockers. The other approach which makes MinerBlock more efficient against cryptojacking is detecting potential mining behaviour inside loaded scripts and kills them immediately. This makes the extension able to block inline scripts as well as miners running through proxies.

# Credit
- [Font Awesome](http://fontawesome.io/) by [Dave Gandy](https://github.com/davegandy)
- Icon grabbed from [tools-and-utensils](https://www.shareicon.net/author/tools-and-utensils)

# Donations
All donations are welcome and greatly appreciated.

[<img src="icons/donations/paypal.svg">](https://www.paypal.me/xd4rker/10)
[<img src="icons/donations/btc.svg">](https://blockchain.info/payment_request?address=1PYj4Bd6YwGzqjb46Ww6buGpTUEt3EZLx4)
[<img src="icons/donations/eth.svg">](https://etherdonation.com/d?to=0x3057b2648d905912ef511674aa3ffe9fcf5140db)
[<img src="icons/donations/amazon.svg">](https://www.amazon.com/registry/wishlist/QHAD9F3VEVJR)

# Press
- [The Wall Street Journal](https://www.wsj.com/articles/how-to-keep-cryptojackers-off-your-devices-as-bitcoin-soars-1513773371)
- [TechRadar](https://www.techradar.com/how-to/how-to-protect-yourself-from-cryptomining)
- [The Next Web](https://thenextweb.com/apps/2017/09/19/cpu-cryptocurrency-miner-blocker/)
- [TorrentFreak](https://torrentfreak.com/cryptocurrency-miner-targeted-by-anti-virus-and-adblock-tools-170926/)
- [CryptoCoinsNews](https://www.cryptocoinsnews.com/pirate-bay-resumes-mining-monero-using-visitor-cpu-power/)
- [The Hacker News](https://thehackernews.com/2017/10/coinhive-cryptocurrency-miner.html)
- [Bleeping Computer](https://www.bleepingcomputer.com/news/security/a-new-player-joins-coinhive-on-the-browser-cryptojacking-scene/)
- [Firstpost](http://www.firstpost.com/tech/news-analysis/how-to-keep-away-cryptocurrency-miners-away-from-chipping-away-at-your-cpu-4061301.html)
- [Bad Packets Report](https://badpackets.net/how-to-find-cryptojacking-malware/)

The extension was also recommended by various CERTs around the world:
- [SingCERT](https://www.csa.gov.sg/singcert/news/advisories-alerts/alert-on-browser-based-digital-currency-mining)
- [VNCERT](http://english.mic.gov.vn/Pages/TinTuc/136048/VNCERT-orders-quick-action-against-CoinHive.html)
- [CERT-IL](https://www.gov.il/he/Departments/publications/reports/cryptocurrency)
- [CERT-RO](https://www.cert.ro/citeste/criptomoneda-minare-webiste-romania-coinhive)
- [CERT-EE](https://blog.ria.ee/kruptorahad-ja-virtuaalne-kaevandamine/)
- [KZ-CERT](http://www.kz-cert.kz/page/635)
